%define upstream_name    Module-CPANTS-Analyse
%define upstream_version 0.96

%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Generate Kwalitee ratings for a distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Any) >= 0.60.0
BuildRequires: perl(Archive::Any::Lite)
BuildRequires: perl(Archive::Tar) >= 1.480.0
BuildRequires: perl(Array::Diff) >= 0.40.0
BuildRequires: perl(CPAN::DistnameInfo) >= 0.60.0
BuildRequires: perl(Class::Accessor) >= 0.190.0
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Find::Rule::VCS)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Capture) >= 0.50.0
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Module::ExtractUse) >= 0.240.0
BuildRequires: perl(Module::Pluggable) >= 2.960.0
BuildRequires: perl(Module::Signature)
BuildRequires: perl(Pod::Simple::Checker) >= 2.20.0
BuildRequires: perl(Readonly)
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Software::License) >= 0.3.0
BuildRequires: perl(Test::CPAN::Meta::YAML::Version) >= 0.210.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Text::CSV_XS) >= 0.450.0
BuildRequires: perl(YAML::Any)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(version) >= 0.730.0
BuildArch:  noarch
# to make sure we don't use module::pluggable from core, which warns and
# makes test::nowarning fail
BuildRequires: perl-Module-Pluggable

BuildConflicts: cpanminus

%description 
Kwalitee is an automatically-measurable gauge of how good your software is.
That's very different from quality, which a computer really can't measure in a
general sense. (If you can, you've solved a hard problem in computer science.)

In the world of the CPAN, the CPANTS project (CPAN Testing Service; also a
funny acronym on its own) measures Kwalitee with several metrics. If you plan
to release a distribution to the CPAN -- or even within your own organization
-- testing its Kwalitee before creating a release can help you improve your
quality as well.

Test::Kwalitee and a short test file will do this for you automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc AUTHORS Changes META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Module
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.960.0-4.mga6
+ Revision: 1029952
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.960.0-3.mga6
+ Revision: 965907
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.960.0-2.mga6
+ Revision: 839184
- Exclude deps from _docdir

* Mon Jun 22 2015 sander85 <sander85> 0.960.0-1.mga6
+ Revision: 838660
- update to 0.96

* Wed Oct 15 2014 umeabot <umeabot> 0.920.0-4.mga5
+ Revision: 739643
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.920.0-2.mga4
+ Revision: 537310
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.920.0-1.mga4
+ Revision: 486785
- update to 0.92

* Sun Sep 08 2013 sander85 <sander85> 0.910.0-1.mga4
+ Revision: 476162
- update to 0.91

* Sun Aug 04 2013 sander85 <sander85> 0.900.200-1.mga4
+ Revision: 463454
- update to 0.9002

* Fri Aug 02 2013 sander85 <sander85> 0.890.0-1.mga4
+ Revision: 462692
- update to 0.89

* Mon Jul 29 2013 sander85 <sander85> 0.870.0-1.mga4
+ Revision: 460387
- Add YAML::Syck to pass tests

  + jquelin <jquelin>
    - adding missing buildrequires:
    - update to 0.87

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 jquelin <jquelin> 0.860.0-1.mga3
+ Revision: 269523
- force YAML::XS as buildrequires to prevent rt#78311
- adding missing buildrequires:
- update to 0.86

* Fri Mar 11 2011 jquelin <jquelin> 0.850.0-3.mga1
+ Revision: 68245
- update buildrequires:
- wrong patch name
- patch to use test::cpan::meta::yaml::version
- rebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.850.0-2.mga1
+ Revision: 37343
- rebuild
- mageia rebuild
- imported package perl-Module-CPANTS-Analyse


* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.850.0-1mdv2010.0
+ Revision: 395167
- update to 0.85
- using %%perl_convert_version
- fix license field

* Thu Jun 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2010.0
+ Revision: 385238
- update to new version 0.83

* Thu Jul 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.82-1mdv2009.0
+ Revision: 233470
- new version

* Mon Apr 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdv2009.0
+ Revision: 196171
- fix build dependency
- fix build dependency
- fix build dependency
- fix build dependencies
- fix build dependencies
- fix build dependencies
- fix build dependencies

* Wed Jan 30 2008 Jérôme Quelin <jquelin@mandriva.org> 0.77-1mdv2008.1
+ Revision: 160190
- updated to version 0.77

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.75-1mdv2008.1
+ Revision: 104516
- new version

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.73-1mdv2008.1
+ Revision: 97514
- update to new version 0.73

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.72-1mdv2008.0
+ Revision: 65373
- new version


* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2007.0
+ Revision: 88651
- new version
- fix buildrequires
- fix buildrequires
- fix buildrequires
- Import perl-Module-CPANTS-Analyse

* Sat Nov 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2007.1
- first mdv release

